<?
  ##########################################
## Автор: Говно кодырь -=ШАХТЕР=-           #  
## Сайт: http://masteram.us ICQ  : 46-92-90 #
### Версия 4.0 Лицензионная                 #
## Данная версия скрипта являлась ПЛАТНОЙ,  #
## вы НЕ ИМЕЛИ ПРАВА распрострянять данный  #
## скрипт или какие-либо части его кода...  #
## А ТЕПЕРЬ СВСЕМ НА ЭТО ПОХУЙ!!!)))        #
  #########################################

// Определяем IP + антиддос
require_once H.'sys/ip.php';
$ipinit = new ipinit();
$ipl = $ipinit->ip;
$ip = long2ip($ipl);
unset ($ipinit);
// Определяем браузер
if ( isset($_SERVER['HTTP_USER_AGENT']) )
{
$soft=$_SERVER['HTTP_USER_AGENT'];
$soft = strtok($soft, '(');
$soft = preg_replace('~[^a-z_\./ 0-9]~i', null, $soft);

if ( isset($_SERVER['HTTP_X_OPERAMINI_PHONE_UA']) && strstr($soft, 'Opera') )
{
$soft_om = $_SERVER['HTTP_X_OPERAMINI_PHONE_UA'];
$soft_om = strtok($soft_om, '/');
$soft_om = strtok($soft_om, '(');
$soft_om = preg_replace('~[^a-z_\. 0-9]~i', null, $soft_om);
$soft = 'Opera Mini ('.$soft_om.')';
}
}
else $soft='Нет данных';

$soft=mysql_escape_string(stripslashes(htmlspecialchars($soft)));
// Произвольная комбинация чисел, поможет устранить некоторые косяки в вмл, позже может по	мете что к чему...
$ref=rand(10000,1000000);

// Подключаем настройки из БД
$set = $db->sql_fetchrow($db->sql_query ("Select * from setting where ids='1'"));

//Определяем время и временной сдвиг
if (!isset($user))$time = ($starttime+$set['timesdvig']*60*60);
else if ($user['poias']!='') $time = (($starttime-3*60*60)+$user['poias']*60);

//////////////////  Боты  ///////////////////////
$user_um = '<b>'.$set['umnik'].'</b>';         //
$user_prod = '<b>'.$set['baryga'].'</b>';      //
$user_shut = '<b>'.$set['shut'].'</b>';        //
$user_anek = '<b>'.$set['anek'].'</b>';        //
$user_tupica = '<b>'.$set['tupica'].'</b>';    //
$user_svaisch = '<b>'.$set['svaisch'].'</b>';  //
$user_system = '<b>'.$set['system'].'</b>';    //
$user_znatok = '<b>'.$set['znatok'].'</b>';    //
$user_flyder = '<b>'.$set['flyder'].'</b>';
$mafiozi = ''.$set['mafiozi'].'';    //
////////////////////////////////////////////////

// Инклудим остальные файлы


require_once H."sys/start.php";
require_once(H."sys/func/check.php");
require_once(H."sys/func/func.php");
require_once(H."sys/func/text.php");
require_once H."sys/user.php";
include_once H."sys/style.php";
require_once(H."sys/func/user.php");



// Удаляем из таблици всех кто не активен в чате $set['time_aut'] секунд
$db->sql_query("DELETE FROM `who` WHERE `time` < '".($time-$set['time_aut'])."'");

// Записываем данные о юзерах он-лайн  файл для возможности вывода на других сайтах
if (filemtime(H."files/statwho.dat") < $time-150) {
$stat = $db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who`'),0);
file_put_contents(H."files/statwho.dat", (int)$stat, LOCK_EX);
}
?>